---
Name: corehtml
---
SilverStripe\Core\Injector\Injector:
  SilverStripe\View\Parsers\HTMLValue:
    class: SilverStripe\View\Parsers\HTML4Value
  # Shorthand
  HTMLValue: '%$SilverStripe\View\Parsers\HTMLValue'
  SilverStripe\Forms\HTMLEditor\HTMLEditorConfig:
    class: SilverStripe\Forms\HTMLEditor\TinyMCEConfig
  SilverStripe\Forms\HTMLEditor\TinyMCEScriptGenerator: '%$SilverStripe\Forms\HTMLEditor\TinyMCECombinedGenerator'
  SilverStripe\Forms\HTMLEditor\TinyMCECombinedGenerator:
    class: SilverStripe\Forms\HTMLEditor\TinyMCECombinedGenerator
    properties:
      AssetHandler: '%$SilverStripe\Assets\Storage\GeneratedAssetHandler'
